<div class="wrap">
<?php screen_icon( 'users' ); ?>
<h2><?php echo esc_html( __( 'Join Group', 'aag' ) );

if ( isset( $_GET['s'] ) && $_GET['s'] ) {
	echo sprintf( '<span class="subtitle">' . __( 'Search results for &#8220;%s&#8221;', 'aag' ) . '</span>', esc_html( stripslashes( $_GET['s'] ) ) );
}

?></h2>

<?php
$pagenum = isset( $_GET['pagenum'] ) ? absint( $_GET['pagenum'] ) : 0;

if ( empty( $pagenum ) )
	$pagenum = 1;

$groupsperpage = 10;
$pageoffset = ( $pagenum - 1 ) * $groupsperpage;

$groups = aag_get_groups( array(
	'perpage' => $groupsperpage,
	'offset' => $pageoffset,
	'search' => $_GET['s'] ) );
?>

<form action="" method="get">
<p class="search-box">
	<label class="screen-reader-text" for="group-search-input"><?php echo esc_html( __( 'Search Groups:', 'aag' ) ); ?></label>
	<input type="text" id="group-search-input" name="s" value="<?php echo esc_attr( stripslashes( $_GET['s'] ) ); ?>" />
	<input type="hidden" name="page" value="<?php echo AAG_PLUGIN_NAME . '/admin/join-group.php'; ?>" />
	<input type="submit" value="<?php echo esc_attr( __( 'Search Groups', 'aag' ) ); ?>" class="button" />
</p>
</form>

<table class="widefat" style="margin-top: 0.5em;">
<thead>
<tr>
<th scope="col" class="manage-column column-name" style=""><?php echo esc_html( __( 'Name', 'aag' ) ); ?></th>
<th scope="col" class="manage-column column-name" style=""><?php echo esc_html( __( 'Description', 'aag' ) ); ?></th>
<th scope="col" class="manage-column column-name" style=""><?php echo esc_html( __( 'Members', 'aag' ) ); ?></th>
<th scope="col" class="manage-column column-name" style=""><?php echo esc_html( __( 'Messages', 'aag' ) ); ?></th>
<th scope="col" class="manage-column column-name" style=""><?php echo esc_html( __( 'Founded', 'aag' ) ); ?></th>
<th scope="col" class="manage-column column-name" style=""><?php echo esc_html( __( 'Status', 'aag' ) ); ?></th>
<th scope="col" class="manage-column column-name" style=""><?php echo esc_html( __( 'You Are', 'aag' ) ); ?></th>
<th scope="col" class="manage-column column-name" style=""><?php echo esc_html( __( 'Join / Leave', 'aag' ) ); ?></th>
</tr>
</thead>

<tbody>
<?php foreach ( $groups as $group ) :
$membership = aag_get_membership( $group->group_id );
?>
<tr<?php $alt = 1 - $alt; echo $alt ? ' class="alternate"' : ''; ?>>
<td><p><strong><?php
	if ( aag_you_can_message_group( $group->group_id ) ) {
		$edit_url = aag_admin_url( 'messages.php', array( 'group_id' => $group->group_id ) );
		echo '<a href="' . $edit_url . '">' . esc_html( stripslashes( $group->group_name ) ) . '</a>';
	} else {
		echo esc_html( stripslashes( $group->group_name ) );
	} ?></strong></p>

<p class="row-actions">
<?php if ( aag_you_can_edit_group( $group->group_id ) ) {
	$edit_url = aag_admin_url( 'manage-group.php', array( 'group_id' => $group->group_id ) );
	echo '<span><a href="' . $edit_url . '">' . esc_html( __( 'Edit', 'aag' ) ) . '</a></span>';
} ?>
</p>
</td>
<td><p><?php echo esc_html( stripslashes( $group->group_description ) ); ?></p></td>
<td><p><?php echo $group->member_count; ?></p></td>
<td><p><?php echo $group->message_count; ?></p></td>
<td><p><?php echo mysql2date( __( 'Y/m/d', 'aag' ), $group->founded ); ?></p></td>
<td><p><?php echo ucwords( $group->group_status ); ?></p></td>
<td><p><?php echo ucwords( $membership->member_status ); ?></p></td>
<td><p><?php echo aag_join_link( $group->group_id ); ?></p></td>
</tr>
<?php endforeach; ?>
</tbody>
</table>

<?php
$total_g = aag_get_groups( array( 'search' => $_GET['s'] ) );
$total = ceil( count( $total_g ) / $groupsperpage );
$page_links = paginate_links( array(
	'base' => add_query_arg( 'pagenum', '%#%' ),
	'format' => '',
	'prev_text' => __( '&laquo;', 'aag' ),
	'next_text' => __( '&raquo;', 'aag' ),
	'total' => $total,
	'current' => $pagenum
	) );

if ( $page_links )
	echo '<div class="tablenav-pages" style="margin: 1em 0">' . $page_links . '</div>';
?>

</div>