<?php

$group_id = $_GET['group_id'];
$manageable_groups = aag_get_your_groups( array( 'founder', 'admin' ) );

if ( 'new' == $group_id ) {
	$initial = true;
} elseif ( ( $group_id = (int) $group_id ) && aag_you_can_edit_group( $group_id ) ) {
	$group = aag_get_group( $group_id );
} else {
	$group = $manageable_groups[0];
	if ( $group )
		$group_id = $group->group_id;
	else
		$initial = true;
}

if ( $initial ) {
	$group_name = $group_description = $group_status = '';
} else {
	$group_name = $group->group_name;
	$group_description = $group->group_description;
	$group_status = $group->group_status;
}

?><div class="wrap">
<?php screen_icon( 'users' ); ?>
<h2><?php echo esc_html( __( 'Manage Groups', 'aag' ) ); ?></h2>

<?php if ( isset( $_GET['created'] ) ) : ?>
<div id="message" class="updated fade"><p><?php echo esc_html( __( 'Group created.', 'aag' ) ); ?></p></div>
<?php elseif ( isset( $_GET['updated'] ) ) : ?>
<div id="message" class="updated fade"><p><?php echo esc_html( __( 'Group updated.', 'aag' ) ); ?></p></div>
<?php elseif ( isset( $_GET['deleted'] ) ) : ?>
<div id="message" class="updated fade"><p><?php echo esc_html( __( 'Group deleted.', 'aag' ) ); ?></p></div>
<?php endif; ?>

<ul class="subsubsub">
<?php foreach ( $manageable_groups as $g ) :
	$current = ( $g->group_id == $group_id ) ? ' class="current"' : '';
	$manage_url = aag_admin_url( 'manage-group.php', array( 'group_id' => $g->group_id ) );
	$manage_link = '<a href="' . $manage_url . '"' . $current . '>'
		. esc_html( stripslashes( $g->group_name ) ) . '</a>';
?>
	<li><?php echo $manage_link ?> |</li>
<?php endforeach;

	$current = $initial ? ' class="current"' : '';
	$manage_url = aag_admin_url( 'manage-group.php', array( 'group_id' => 'new' ) );
	$manage_link = '<a href="' . $manage_url . '"' . $current . '>' . esc_html( __( 'Add new group', 'aag' ) ) . '</a>';
?>
	<li class="addnew"><?php echo $manage_link ?></li>
</ul>

<br class="clear" />

<table class="widefat">
<tbody>
<tr>
<td scope="col">
<div style="position: relative;">

<form action="<?php echo aag_admin_url( 'manage-group.php' ); ?>" method="post">
<div style="display: none">
<?php
if ( $initial )
	wp_nonce_field( 'aag-create-group' );
else
	wp_nonce_field( 'aag-edit-group-' . $group_id );
?>
<input type="hidden" name="group-id" value="<?php echo $group_id; ?>" />
</div>

<p><label for="group-name"><strong><?php echo esc_html( __( 'Group Name', 'aag' ) ); ?></strong></label><br />
<input type="text" name="group-name" id="group-name" size="60" value="<?php echo esc_attr( stripslashes( $group_name ) ); ?>" style="width: 80%" />
</p>

<p><label for="group-description"><strong><?php _e( 'Description', 'aag' ); ?></strong></label><br />
<input type="text" name="group-description" id="group-description" size="60" value="<?php echo esc_attr( stripslashes( $group_description ) ); ?>" style="width: 80%" />
</p>

<p><strong><?php echo esc_html( __( 'Status', 'aag' ) ); ?></strong><br />
<label>
<input type="radio" name="group-status" value="open"<?php if ( 'open' == $group_status ) echo ' checked="checked"'; ?> />
<?php echo esc_html( __( 'Open', 'aag' ) ); ?>
</label>
&emsp;&mdash; <em><?php echo esc_html( __( "Anyone can join this group.", 'aag' ) ); ?></em>
<br />
<label>
<input type="radio" name="group-status" value="closed"<?php if ( 'closed' == $group_status ) echo ' checked="checked"'; ?> />
<?php echo esc_html( __( 'Closed', 'aag' ) ); ?>
&emsp;&mdash; <em><?php echo esc_html( __( "Anyone can request to join this group, but needs acceptance by admin member to join.", 'aag' ) ); ?></em>
</label>
</p>

<div class="save-group">
<?php if ( $initial ) : ?>
<input type="submit" name="aag-create-group" class="button-primary" value="<?php echo esc_attr( __( 'Create Group', 'aag' ) ); ?>" />
<?php else : ?>
<input type="submit" name="aag-edit-group" class="button-primary" value="<?php echo esc_attr( __( 'Update Group', 'aag' ) ); ?>" />
<?php endif; ?>
</div>

<?php if ( ! $initial && aag_you_can_delete_group( $group_id ) ) : ?>
<div class="actions-link">
<?php $delete_nonce = wp_create_nonce( 'aag-delete-group-' . $group_id ); ?>
<input type="submit" name="aag-delete-group" class="delete" value="<?php echo esc_attr( __( 'Delete Group', 'aag' ) ); ?>"
<?php echo "onclick=\"if (confirm('" .
esc_js( __( "You are about to delete this group.\n'Cancel' to stop, 'OK' to delete.", 'aag' ) ) .
"')) {this.form._wpnonce.value = '$delete_nonce'; return true;} return false;\""; ?> />
</div>
<?php endif; ?>

</form>

</div>
</td>
</tr>
</tbody>
</table>

<?php if ( ! $initial ) : ?>

<form action="" method="get">
<p class="search-box" style="margin: 1.5em 0 0.5em">
	<label class="screen-reader-text" for="member-search-input"><?php echo esc_html( __( 'Search Members:', 'aag' ) ); ?></label>
	<input type="text" id="member-search-input" name="s" value="<?php echo esc_attr( stripslashes( $_GET['s'] ) ); ?>" />
	<input type="hidden" name="page" value="<?php echo AAG_PLUGIN_NAME . '/admin/manage-group.php'; ?>" />
	<input type="hidden" name="group_id" value="<?php echo $group_id; ?>" />
	<input type="submit" value="<?php echo esc_attr( __( 'Search Members', 'aag' ) ); ?>" class="button" />
</p>
</form>

<?php
$pending_members = aag_get_group_pending_members( $group_id, array(
	'perpage' => 10,
	'search' => $_GET['s'] ) );
if ( $pending_members ) :

$pending_member_count = aag_count_group_members( $group_id,
	array( 'status' => array( 'pending' ) ) );
$num = number_format_i18n( $pending_member_count );
$text = _n( 'Pending Member', 'Pending Members', $pending_member_count, 'aag' );

?><table class="widefat" style="margin-bottom: 1em;">
<thead><tr><th scope="col" colspan="2"><?php echo esc_html( "$num $text" ); ?></th></tr></thead>

<tbody>
<?php foreach ( (array) $pending_members as $member ) : ?>
<tr<?php $alt = 1 - $alt; echo $alt ? ' class="alternate"' : ''; ?>>
<td scope="col" style="width: 60px">
<p><?php echo get_avatar( $member->user_id, 48 ); ?></p>
</td>

<td scope="col">
<strong><?php $user = get_userdata( $member->user_id ); echo esc_html( $user->user_login ); ?></strong>
<?php
if ( $user->display_name != $user->user_login )
	echo '&emsp;' . esc_html( $user->display_name ); ?>
<br />
<?php
$date = mysql2date( __( 'Y/m/d', 'aag' ), $member->joined );
echo esc_html( sprintf( __( 'Pending since %s', 'aag' ), $date ) ); ?>

<p class="row-actions">
<?php
$links = array();

$accept_link_url = aag_admin_url( 'manage-group.php', array(
	'group_id' => $group_id,
	'membership_id' => $member->membership_id,
	'aag-member-acceptance' => 1 ) );
$accept_link_url = wp_nonce_url( $accept_link_url,
	'aag-member-acceptance-' . $member->membership_id );
$links[] = '<span class="accept"><a href="' . $accept_link_url . '">' . esc_html( __( 'Accept', 'aag' ) ) . '</a></span>';

$reject_link_url = aag_admin_url( 'manage-group.php', array(
	'group_id' => $group_id,
	'membership_id' => $member->membership_id,
	'aag-member-rejection' => 1 ) );
$reject_link_url = wp_nonce_url( $reject_link_url,
	'aag-member-rejection-' . $member->membership_id );
$links[] = '<span class="reject"><a href="' . $reject_link_url . '">' . esc_html( __( 'Reject', 'aag' ) ) . '</a></span>';

echo implode( ' | ', $links );
?>
</p>

</td>
</tr>
<?php endforeach; ?>
</tbody>
</table>
<?php
endif;

$members = aag_get_group_members( $group_id, array(
	'perpage' => 10,
	'search' => $_GET['s'] ) );

if ( $members ) :

$member_count = aag_count_group_members( $group_id );
$num = number_format_i18n( $member_count );
$text = _n( 'Member', 'Members', $member_count, 'aag' );

?><table class="widefat" style="margin-bottom: 1em;">
<thead><tr><th scope="col" colspan="2"><?php echo esc_html( "$num $text" ); ?></th></tr></thead>

<tbody>
<?php foreach ( (array) $members as $member ) : ?>
<tr<?php $alt = 1 - $alt; echo $alt ? ' class="alternate"' : ''; ?>>
<td scope="col" style="width: 60px">
<p><?php echo get_avatar( $member->user_id, 48 ); ?></p>
</td>

<td scope="col">
<strong><?php $user = get_userdata( $member->user_id ); echo esc_html( $user->user_login ); ?></strong>
<?php if ( $current_user->ID == $member->user_id ) echo '<em>' . esc_html( __( "(You)", 'aag' ) ) . '</em>';

if ( $user->display_name != $user->user_login )
	echo '&emsp;' . esc_html( $user->display_name );
?>
<br /><?php echo ucwords( $member->member_status ); ?> &mdash;
<?php
$date = mysql2date( __( 'Y/m/d', 'aag' ), $member->joined );
echo esc_html( sprintf( __( 'Joined since %s', 'aag' ), $date ) ); ?>
<?php
if ( $member->message_count ) {
	echo ' &mdash ';
	$num = number_format_i18n( $member->message_count );
	$text = _n( 'Message', 'Messages', $member->message_count, 'aag' );
	echo esc_html( "$num $text" );
}
?>

<p class="row-actions">
<?php
$links = array();
if ( 'member' == $member->member_status && aag_you_can_promote_member( $group_id ) ) {
	$link_url = aag_admin_url( 'manage-group.php', array(
		'group_id' => $group_id,
		'membership_id' => $member->membership_id,
		'aag-member-promotion' => 1 ) );
	$link_url = wp_nonce_url( $link_url, 'aag-member-promotion-' . $member->membership_id );
	$links[] = '<span><a href="' . $link_url . '">' . esc_html( __( 'Promote to Admin', 'aag' ) ) . '</a></span>';
} elseif ( 'admin' == $member->member_status && aag_you_can_promote_member( $group_id ) ) {
	$link_url = aag_admin_url( 'manage-group.php', array(
		'group_id' => $group_id,
		'membership_id' => $member->membership_id,
		'aag-member-demotion' => 1 ) );
	$link_url = wp_nonce_url( $link_url, 'aag-member-demotion-' . $member->membership_id );
	$links[] = '<span class="demote"><a href="' . $link_url . '">' . esc_html( __( 'Demote to Member', 'aag' ) ) . '</a></span>';
}

if ( 'founder' != $member->member_status && $current_user->ID != $member->user_id ) {
	$link_url = aag_admin_url( 'manage-group.php', array(
		'group_id' => $group_id,
		'membership_id' => $member->membership_id,
		'aag-member-removal' => 1 ) );
	$link_url = wp_nonce_url( $link_url, 'aag-member-removal-' . $member->membership_id );
	$links[] = '<span class="remove"><a href="' . $link_url . '" onclick="if (confirm(\''
		. esc_js( __( "You are about to remove this member.\n'Cancel' to stop, 'OK' to remove.", 'aag' ) ) . '\')) {return true;} return false;">' . esc_html( __( 'Remove', 'aag' ) ) . '</a></span>';
}

echo implode( ' | ', $links );
?>
</p>

</td>
</tr>
<?php endforeach; ?>
</tbody>
</table>
<?php
endif;
endif;
?>

</div>