<?php
/* One message view */

if ( ( $message_id = (int) $_GET['message_id'] )
	&& ( $message = aag_get_message_by_id( $message_id ) )
	&& aag_you_can_message_group( $message->group_id ) ) {

	require_once AAG_PLUGIN_DIR . '/admin/message.php';
	return;
}

/* Message list view */

$groups = aag_get_your_groups();
$group_id = (int) $_GET['group_id'];

$reply_to = (int) $_GET['reply_to'];
if ( $replied_message = aag_get_message_by_id( $reply_to ) )
	$group_id = $replied_message->group_id;

if ( $group_id && aag_you_can_message_group( $group_id ) ) {
	$group = aag_get_group( $group_id );
} else {
	$group_id = null;
	$all = true;
}

if ( $author_id = (int) $_GET['author_id'] )
	$author = get_userdata( $author_id );

$messages = aag_your_group_timeline( $group_id, $author_id );

?><div class="wrap">
<?php screen_icon( 'users' ); ?>
<h2><?php echo esc_html( __( 'Group Messages', 'aag' ) ); ?></h2>

<ul class="subsubsub">
<?php foreach ( $groups as $g ) :
	$current = ( $g->group_id == $group_id ) ? ' class="current"' : '';
	$messages_url = aag_admin_url( 'messages.php', array( 'group_id' => $g->group_id ) );
	$messages_link = '<a href="' . $messages_url . '"' . $current . '>' . esc_html( stripslashes( $g->group_name ) ) . '</a>';
?>
	<li><?php echo $messages_link ?> |</li>
<?php endforeach;

	$current = $all ? ' class="current"' : '';
	$messages_url = aag_admin_url( 'messages.php' );
	$messages_link = '<a href="' . $messages_url . '"' . $current . '>' . esc_html( __( 'Show all', 'aag' ) ) . '</a>';
?>
	<li class="showall"><?php echo $messages_link ?></li>
</ul>

<br class="clear" />

<?php if ( $group_id ) : ?>
<h3><?php echo esc_html( stripslashes( $group->group_name ) ); ?>
<span class="group-description-next-to-name"><?php echo esc_html( stripslashes( $group->group_description ) ); ?></span>
</h3>
<?php elseif ( $author_id ) : ?>
<h3><?php echo esc_html( stripslashes( $author->user_login ) );
if ( $author->user_login != $author->display_name ) : ?>
<span class="group-description-next-to-name"><?php echo esc_html( stripslashes( $author->display_name ) ); ?></span>
<?php endif; ?>
</h3>
<?php endif; ?>

<?php if ( $group_id ) : ?>
<form action="<?php echo aag_admin_url( 'messages.php' ); ?>" method="post">
<p>
<?php wp_nonce_field( 'aag-add-new-message-' . $group->group_id ); ?>
<input type="hidden" name="group_id" value="<?php echo $group->group_id; ?>" />

<?php if ( $replied_message ) : ?>
<input type="hidden" name="reply_to" value="<?php echo $reply_to; ?>" />
<strong><?php $user = get_userdata( $replied_message->user_id );
echo esc_html( sprintf( __( 'In reply to %s\'s message', 'aag' ), $user->user_login ) ); ?></strong>
&emsp;<span style="color: #5a5a5a"><?php echo wptexturize( stripslashes( $replied_message->message_content ) ); ?></span>
<?php $atremark = '@' . $user->user_login . ' ';
endif; ?>

<textarea name="message-content" cols="40" rows="2" style="width: 100%"><?php echo $atremark; ?></textarea>
<input type="submit" name="aag-add-new-message" value="<?php echo esc_attr( __( 'Send Message', 'aag' ) ); ?>" class="button" />
</p>
</form>
<?php endif; ?>

<?php if ( $messages ) : ?>
<table class="widefat" style="margin-top: 1em;">
<thead><tr><th scope="col" colspan="3"><?php echo esc_html( __( 'Timeline', 'aag' ) ); ?></th></tr></thead>

<tbody>
<?php foreach ( $messages as $message ) : ?>
<tr<?php $alt = 1 - $alt; echo $alt ? ' class="alternate"' : ''; ?>>

<td scope="col" style="width: 60px">
<p><?php echo get_avatar( $message->user_id, 48 ); ?></p>
</td>

<td scope="col">
<p><strong><?php
$user = get_userdata( $message->user_id );
echo '<a href="' . aag_admin_url( 'messages.php', array( 'author_id' => $message->user_id ) ) . '" title="' . esc_attr( stripslashes( $user->display_name ) ) . '">' . esc_html( $user->user_login ) . '</a>';
?></strong>&emsp;<?php echo apply_filters( 'aag_message_content', stripslashes( $message->message_content ) ); ?></p>

<p class="row-actions">
<?php
$links = array();

if ( $message->user_id != $current_user->ID && aag_you_can_message_group( $message->group_id ) ) {
	$link_url = aag_admin_url( 'messages.php', array(
		'reply_to' => $message->message_id ) );
	$links[] = '<span><a href="' . $link_url . '">' . esc_html( __( 'Reply', 'aag' ) ) . '</a></span>';
}

if ( aag_you_can_delete_message( $message->message_id ) ) {
	$link_url = aag_admin_url( 'messages.php', array(
		'group_id' => $group_id,
		'author_id' => $author_id,
		'message_id' => $message->message_id,
		'aag-message-delete' => 1 ) );
	$link_url = wp_nonce_url( $link_url,
		'aag-message-delete-' . $message->message_id );
	$links[] = '<span class="delete"><a href="' . $link_url . '" onclick="if (confirm(\''
		. esc_js( __( "You are about to delete this message.\n'Cancel' to stop, 'OK' to delete.", 'aag' ) ) . '\')) {return true;} return false;">' . esc_html( __( 'Delete', 'aag' ) ) . '</a></span>';
}

echo implode( ' | ', $links );
?>
</p>

</td>

<td scope="col" style="width: 120px">
<p><?php $mg = aag_get_group( $message->group_id );
echo '<a href="' . aag_admin_url( 'messages.php', array( 'group_id' => $message->group_id ) )
	. '"><strong>' . esc_html( stripslashes( $mg->group_name ) ) . '</strong></a>'; ?>
<br /><?php
$message_posted = mysql2date( 'U', $message->posted );
if ( ( time() - $message_posted ) < 86400 * 7 ) {
	$date = sprintf( __( '%s ago', 'aag' ), human_time_diff( $message_posted ) );
} else {
	$date = mysql2date( __( 'Y/m/d H:i', 'aag' ), $message->posted );
}
$message_url = aag_admin_url( 'messages.php', array( 'message_id' => $message->message_id ) );
echo '<a href="' . $message_url . '">' . esc_html( $date ) . '</a>';

if ( $message->reply_to ) {
	$replied = aag_get_message_by_id( $message->reply_to );
	$replied_user = get_userdata( $replied->user_id );
	$replied_url = aag_admin_url( 'messages.php', array( 'message_id' => $replied->message_id ) );
	$text = sprintf( __( 'in reply to %s', 'aag' ), $replied_user->user_login );
	echo '<br /><a href="' . $replied_url . '">' . esc_html( $text ) . '</a>';
}
?>
</p>
</td>

</tr>
<?php endforeach; ?>
</tbody>
</table>
<?php endif; ?>

</div>